
// EMAIl regex is a variation of the regex found here:
// http://www.w3.org/TR/html5/forms.html#valid-e-mail-address
'use strict';

var EMAIL = /[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+/;

export { EMAIL };
var EMAIL_GLOBAL = new RegExp(EMAIL.source, 'g');

export { EMAIL_GLOBAL };
var NUMERIC_EN = /-?\d{1,3}(?:(?:,?\d\d\d)+|\d*)(?:\.\d+)?/;

export { NUMERIC_EN };
var NUMERIC_EU = /-?\d{1,3}(?:(?:[\. ]?\d\d\d)+|\d*)(?:,\d+)?/;

export { NUMERIC_EU };
var INT = /-?\d+/;

export { INT };
var UINT = /\d+/;
export { UINT };