
// EMAIl regex is a variation of the regex found here:
// http://www.w3.org/TR/html5/forms.html#valid-e-mail-address
'use strict';

exports.__esModule = true;
var EMAIL = /[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+/;

exports.EMAIL = EMAIL;
var EMAIL_GLOBAL = new RegExp(EMAIL.source, 'g');

exports.EMAIL_GLOBAL = EMAIL_GLOBAL;
var NUMERIC_EN = /-?\d{1,3}(?:(?:,?\d\d\d)+|\d*)(?:\.\d+)?/;

exports.NUMERIC_EN = NUMERIC_EN;
var NUMERIC_EU = /-?\d{1,3}(?:(?:[\. ]?\d\d\d)+|\d*)(?:,\d+)?/;

exports.NUMERIC_EU = NUMERIC_EU;
var INT = /-?\d+/;

exports.INT = INT;
var UINT = /\d+/;
exports.UINT = UINT;